﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TextMarksV2APIClient_DotNet
{
    /**
 * Exception subclass used by TextMarksV2APIClient for transport-level errors.
 */
    public class TextMarksV2APIClientTransportException : TextMarksV2APIClientException
    {
        public TextMarksV2APIClientTransportException(string sMsg)
            : base(sMsg)
        {

        }

        public TextMarksV2APIClientTransportException(string sMsg, Exception cause)
            : base(sMsg, cause)
        {
        }

        public TextMarksV2APIClientTransportException(string sMsg, int iCode)
            : base(sMsg)
        {
            _iCode = iCode;
        }

        public TextMarksV2APIClientTransportException(string sMsg, int iCode, Exception cause)
            : base(sMsg, cause)
        {

            _iCode = iCode;
        }
    }
}
